be.cin.types.v1

## Class DetailType

- java.lang.Object
- - be.cin.types.v1.DetailType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:45:53+01:00",
                 comments="JAXB RI v2.3.7")
      public class DetailType
      extends Object
      implements Serializable

  A single detail line of a fault.

  Java class for DetailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DetailType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="DetailCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="DetailSource" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Location" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Message" type="{urn:be:cin:types:v1}StringLangType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetailType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDetailCode()` Gets the value of the detailCode property.
    `String` | `getDetailSource()` Gets the value of the detailSource property.
    `String` | `getLocation()` Gets the value of the location property.
    `StringLangType` | `getMessage()` Gets the value of the message property.
    `void` | `setDetailCode(String value)` Sets the value of the detailCode property.
    `void` | `setDetailSource(String value)` Sets the value of the detailSource property.
    `void` | `setLocation(String value)` Sets the value of the location property.
    `void` | `setMessage(StringLangType value)` Sets the value of the message property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DetailType

          public DetailType()

  - ### Method Detail

    - #### getDetailCode

          public String getDetailCode()

      Gets the value of the detailCode property.
      Returns:
        possible object is `String`

    - #### setDetailCode

          public void setDetailCode(String value)

      Sets the value of the detailCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDetailSource

          public String getDetailSource()

      Gets the value of the detailSource property.
      Returns:
        possible object is `String`

    - #### setDetailSource

          public void setDetailSource(String value)

      Sets the value of the detailSource property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLocation

          public String getLocation()

      Gets the value of the location property.
      Returns:
        possible object is `String`

    - #### setLocation

          public void setLocation(String value)

      Sets the value of the location property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessage

          public StringLangType getMessage()

      Gets the value of the message property.
      Returns:
        possible object is `StringLangType`

    - #### setMessage

          public void setMessage(StringLangType value)

      Sets the value of the message property.
      Parameters:
        `value` - allowed object is `StringLangType`

Connector Packaging PERSPRACTICALNURSE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.